Summary: A free virtual machine to run Java(tm) code
Name: kaffe
Version: 1.0b4
Release: C2
Copyright: GPL
Url: http://www.kaffe.org/
Group: Development/Languages
Source0: kaffe-1.0b4-C1.tar.gz
Source1: kaffe-jar-1.0b4.tar.gz
Buildroot: /var/tmp/kaffe-root

%description
This is Kaffe, a virtual machine designed to execute Java bytecode.
This machine can be configured in two modes.  In one mode it operates as
a pure bytecode interpreter (not unlike Javasoft's machine); in the second
mode if performs "just-in-time" code conversion from the abstract code to
the host machine's native code.  This will ultimately allow execution of
Java code at the same speed as standard compiled code but while maintaining
the advantages and flexibility of code independence.

%prep
%setup -q
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --libdir=/usr/lib/kaffe
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
        nativedir=$RPM_BUILD_ROOT/usr/lib/kaffe install
mkdir -p $RPM_BUILD_ROOT/usr/share/kaffe
cd $RPM_BUILD_ROOT/usr/share/kaffe
tar -xzvf /usr/src/redhat/SOURCES/kaffe-jar-1.0b4.tar.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files

/usr/bin/appletviewer
/usr/bin/install-jar
/usr/bin/jar
/usr/bin/java
/usr/bin/javac
/usr/bin/javadoc
/usr/bin/javakey
/usr/bin/javap
/usr/bin/jdb
/usr/bin/kaffe
/usr/bin/kaffeh
/usr/bin/native2ascii
/usr/bin/pizza
/usr/bin/pizzadoc
/usr/bin/rmic
/usr/bin/rmiregistry
/usr/bin/serialver
%dir /usr/include/kaffe
/usr/include/kaffe/Arrays.h
/usr/include/kaffe/java_lang_Object.h
/usr/include/kaffe/java_lang_String.h
/usr/include/kaffe/java_lang_Thread.h
/usr/include/kaffe/java_lang_ThreadGroup.h
/usr/include/kaffe/java_lang_Throwable.h
/usr/include/kaffe/jmalloc.h
/usr/include/kaffe/jni.h
/usr/include/kaffe/jni_cpp.h
/usr/include/kaffe/jsyscall.h
/usr/include/kaffe/jtypes.h
/usr/include/kaffe/native.h
%dir /usr/lib/kaffe
/usr/lib/kaffe/libio-1.0.b4.so
/usr/lib/kaffe/libio.la
/usr/lib/kaffe/libio.so
/usr/lib/kaffe/libkaffevm-1.0.b4.so
/usr/lib/kaffe/libkaffevm.la
/usr/lib/kaffe/libkaffevm.so
/usr/lib/kaffe/libmanagement-1.0.b4.so
/usr/lib/kaffe/libmanagement.la
/usr/lib/kaffe/libmanagement.so
/usr/lib/kaffe/libmath-1.0.b4.so
/usr/lib/kaffe/libmath.la
/usr/lib/kaffe/libmath.so
/usr/lib/kaffe/libmicrosoft-1.0.b4.so
/usr/lib/kaffe/libmicrosoft.la
/usr/lib/kaffe/libmicrosoft.so
/usr/lib/kaffe/libnative-1.0.b4.so
/usr/lib/kaffe/libnative.la
/usr/lib/kaffe/libnative.so
/usr/lib/kaffe/libnet-1.0.b4.so
/usr/lib/kaffe/libnet.la
/usr/lib/kaffe/libnet.so
/usr/lib/kaffe/libzip-1.0.b4.so
/usr/lib/kaffe/libzip.la
/usr/lib/kaffe/libzip.so
/usr/libexec/Kaffe
/usr/man/man1/kaffe.1
%dir /usr/share/kaffe/
/usr/share/kaffe/Klasses.jar
/usr/share/kaffe/pizza.jar
/usr/share/kaffe/comm.jar
/usr/share/kaffe/pjava.jar
/usr/share/kaffe/servlet.jar
/usr/share/kaffe/tools.jar
/usr/share/kaffe/microsoft.jar

%changelog

* Tue Jul 13 1999 Will DeHaan <will@cobaltnet.com>
- b4-C1 rpm for mips grabbed from cvs sources 7/12/99, should be a bit 
  newer than b4.  The "C" in "C1" stands for Cobalt Networks release. 


